Bug 206216 - PAM Faulty module error
PAM Faulty module error
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pam (Show other bugs)
4.4
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Tomas Mraz
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-12 19:52 EDT by Jeff Yana
Modified: 2015-01-07 19:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-13 03:08:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Yana 2006-09-12 19:52:28 EDT
Description of problem:


Version-Release number of selected component (if applicable):

pam-0.77-66.17
vsftpd-2.0.1-5.EL4.5


How reproducible:


Steps to Reproduce:

1. modify vsftpd.conf file to include: pam_service_name=vsftpd.pam

2. create vsftpd.pam file, containing:

#%PAM-1.0
auth required /lib/security/pam_userdb.so db=/etc/vsftpd_login
account required /lib/security/pam_userdb.so db=/etc/vsftpd_login

3. reload vsftpd.conf file (by restarting vsftpd)

4. login to ftp user test user account

5. Errors in log file:

Sep 12 15:40:34 host_a vsftpd[24026]: PAM unable to
dlopen(/lib/security/pam_userdb.so)
Sep 12 15:40:34 host_a vsftpd[24026]: PAM [dlerror: /lib/security/pam_userdb.so:
cannot open shared object file: No such file or directory]
Sep 12 15:40:34 host_a vsftpd[24026]: PAM adding faulty module:
/lib/security/pam_userdb.so
  
*Actual results:

-login failure

*Expected results:

-login success

Additional info: n/a
Comment 1 Jeff Yana 2006-09-12 20:04:05 EDT
Step 1a. db41_load -T -t hash -f logins.txt /etc/vsftpd_login.db
Comment 2 Tomas Mraz 2006-09-13 03:08:25 EDT
That's because the PAM configuration file should not contain paths to modules,
just their file names. The errors clearly state that there is no such file
/lib/security/pam_userdb.so.

Note You need to log in before you can comment on or make changes to this bug.